# Slideshow prep

The below commands will prep the system for storing photos as well as install fundamental packages needed to make the slideshow feature (the feature that's the whole point of the project) work.

``` sh

sudo -sHu root /bin/bash

# Filesystem for pictures
apt install btrfs-progs
parted /dev/sda
mkfs.btrfs /dev/sda1
mkdir /tank
cat >> /etc/fstab <<EOF
/dev/sda1 /tank btrfs defaults,noatime,nodiratime,compress,ssd 0 1
EOF
mount /tank
btrfs subvolume create /tank/pictures
# load pictures via rclone/syncthing/scp/etc (semi-optional)

# Various tty tweaks
cat > /etc/default/console-setup <<EOF
# CONFIGURATION FILE FOR SETUPCON

# Consult the console-setup(5) manual page.

ACTIVE_CONSOLES="/dev/tty[1-6]"

CHARMAP="UTF-8"

CODESET="Uni2"
FONTFACE="Terminus"
FONTSIZE="32x16"

VIDEOMODE=

# The following is an example how to use a braille font
# FONT='lat9w-08.psf.gz brl-8x8.psf'
EOF

update-initramfs -u

# IF you need rotation
#/boot/firmware/cmdline.txt
#fbcon=rotate:2

systemctl reboot

```
