# Bill Of Materials / Hardware Assumptions

This is a surprisingly straight forward project that has minimal in the way of hardware requirements. Below you'll find a list of everything we recommend / assume.

* [Raspberry Pi 4](https://www.raspberrypi.org/products/raspberry-pi-4-model-b/) with at least 2Gb of RAM
  * An equivalent board with at least 2Gb of RAM capable of running Ubuntu 64bit Linux can be used instead but we do not support anything but the Raspberry Pi 4 at this time
  * **Please note: RAM usage is significantly affected by source image resolution /and/ panel size. 2Gb of RAM should be enough for a 2k screen and 20Mpx source images. If you're not sure get a 4Gb Raspberry Pi.**
* HDMI Monitor (Verified Working)
  * Please note: **these are the panels we KNOW WORK** ; do not deviate unless you want to fiddle with a lot of boot loader configuration
  * [wisecoco 6" 2k lcd + driver board](https://wisecoco.en.alibaba.com/)
    * This is the *portrait* panel with 1440x2560 resolution
* HDMI Monitor (TESTING)
  * Please note: **these are the panels we are TESTING** ; do not use these unless you'd like to help us sort the settings needed for use
  * [wisecoco panels](https://wisecoco.en.alibaba.com/)
* Fan/Cooling
  * The [Argon Fan Hat](https://www.argon40.com/argon-fan-hat-for-raspberry-pi-4-raspberry-pi-3b-and-raspberry-pi-3-b.html) is a nice adjustable fan setup for the Raspberry Pis. We recommend this as the fan to use.
  * *Please Note*: The Pimoroni Fan Shim *will cause problems*. Do **NOT** use it for your PiFrame build. We promise, it's unwise due to the pinout and more.
* USB to Serial adapter
  * There are a lot of options, choose one you know that will work well
  * Adafruit and SparkFun are good choices for serial to usb adapters
* HDMI cable that will work with your panel and the Raspberry Pi. You can use an adapter if needed.
* USB disk (thumb drive / ssd) for storing pictures
  * This is optional but will help prevent micro sd card wear if regularly changing photos or running backups
  * The Sandisk Ultra Fit USB disks are great options and work well with the Raspberry Pi boards
* 1x micro sd card
  * Must be **at least** 16Gb. The base install of software consumes almost 8Gb of storage, you'll want more than 8Gb to properly buffer updates and upgrades
* Power supply (at least 2.4A to avoid voltage issues)
  * We have used the [Anker PowerPort II 2](https://www.anker.com/products/variant/powerport-ii-2/A2027121) successfully
